Loading...
Searching...
No Matches
DegreePattern::Pattern Struct Reference

## Public Member Functions

| Pattern (int n)
| construct a Pattern from an int
| Pattern ()
| default constructor

## Data Fields

int | m_refCounter
| reference counter
int | m_length
| length of m_pattern
int * | m_pattern
| some array containing the degree pattern

## Detailed Description

Definition at line 34 of file DegreePattern.h.

## Constructor & Destructor Documentation

## Pattern() [1/2]

DegreePattern::Pattern::Pattern | ( | int | n | ) |

inline

construct a Pattern from an int

Definition at line 41 of file DegreePattern.h.

: m_refCounter(1), m_length(n), m_pattern( new int[n]) {};
DegreePattern::Pattern::m_refCounter
int m_refCounter
reference counter
Definition DegreePattern.h:36
DegreePattern::Pattern::m_pattern
int * m_pattern
some array containing the degree pattern
Definition DegreePattern.h:38
DegreePattern::Pattern::m_length
int m_length
length of m_pattern
Definition DegreePattern.h:37

## Pattern() [2/2]

DegreePattern::Pattern::Pattern | ( |  | ) |

inline

default constructor

Definition at line 43 of file DegreePattern.h.

: m_refCounter(1), m_length(0), m_pattern(NULL) {};
NULL
#define NULL
Definition omList.c:12

## Field Documentation

## m_length

int DegreePattern::Pattern::m_length

length of m_pattern

Definition at line 37 of file DegreePattern.h.

## m_pattern

int* DegreePattern::Pattern::m_pattern

some array containing the degree pattern

Definition at line 38 of file DegreePattern.h.

## m_refCounter

int DegreePattern::Pattern::m_refCounter

reference counter

Definition at line 36 of file DegreePattern.h.

The documentation for this struct was generated from the following file:

- factory/DegreePattern.h